package com.ruoyi.sy.mapper;

import java.util.List;
import com.ruoyi.sy.domain.SyVocationalOverview;

/**
 * 职业概况Mapper接口
 * 
 * @author mingxue
 * @date 2022-03-30
 */
public interface SyVocationalOverviewMapper 
{
    /**
     * 查询职业概况
     * 
     * @param id 职业概况ID
     * @return 职业概况
     */
    public SyVocationalOverview selectSyVocationalOverviewById(Long id);

    /**
     * 查询职业概况列表
     * 
     * @param syVocationalOverview 职业概况
     * @return 职业概况集合
     */
    public List<SyVocationalOverview> selectSyVocationalOverviewList(SyVocationalOverview syVocationalOverview);
    public SyVocationalOverview selectSyVocationalOverviewByCode(String code);

    /**
     * 新增职业概况
     * 
     * @param syVocationalOverview 职业概况
     * @return 结果
     */
    public int insertSyVocationalOverview(SyVocationalOverview syVocationalOverview);

    /**
     * 修改职业概况
     * 
     * @param syVocationalOverview 职业概况
     * @return 结果
     */
    public int updateSyVocationalOverview(SyVocationalOverview syVocationalOverview);

    /**
     * 删除职业概况
     * 
     * @param id 职业概况ID
     * @return 结果
     */
    public int deleteSyVocationalOverviewById(Long id);

    /**
     * 批量删除职业概况
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSyVocationalOverviewByIds(Long[] ids);
}
